Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j2meunit.examples
Class TestAll

    java.lang.Object
      |
      +--j2meunit.framework.Assert
            |
            +--j2meunit.framework.TestCase
                  |
                  +--j2meunit.examples.TestAll

All Implemented Interfaces:
  Test

public class TestAll
extends TestCase

Constructor Summary
`TestAll()` TestOne constructor comment.
`TestAll(java.lang.String name)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`Test` | `suite()` This method should be overridden if a test case contains multiple test methods.

Methods inherited from class j2meunit.framework.TestCase
`countTestCases, countTestSteps, createResult, getName, getTestMethod, getTestMethodName, onAssertion, run, run, runBare, runTest, setName, setTestMethod, setTestMethod, setTestMethodName, setUp, tearDown, testStepFinished, toString`

Methods inherited from class j2meunit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestAll

    public TestAll()

  TestOne constructor comment.

### TestAll

    public TestAll(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public Test suite()

  Description copied from class: `TestCase`
  This method should be overridden if a test case contains multiple test methods. It must return a TestSuite containing the test methods to be executed for this test case. This TestSuite can be constructed as below:

       new TestSuite(new MyTestCase("testMethodOne", new TestMethod()
       {   public void run(TestCase tc)
           { ((MyTestCase) tc).testMethodOne(); }
       }));

  Overrides:
    `suite` in class `TestCase`
  Returns:
    A new test suite

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD